package db

import (
	"LAPP_AS/infra/config"
	"fmt"
	_ "github.com/denisenkom/go-mssqldb"
	"github.com/go-xorm/xorm"
)

var AppEngine *xorm.Engine

func InitDB() error {
	dsn := fmt.Sprintf("server=%s;database=%s;user id=%s;password=%s;port=%d;encrypt=disable",
		config.AppConfig.DB.Host,
		config.AppConfig.DB.Database,
		config.AppConfig.DB.User,
		config.AppConfig.DB.Password,
		config.AppConfig.DB.Port)
	engine, err := xorm.NewEngine("mssql", dsn)
	if err != nil {
		return err
	}
	if err = engine.Ping(); err != nil {
		return err
	}
	AppEngine = engine
	if config.AppConfig.Mod == "debug" {
		AppEngine.ShowSQL(true)
	}
	return nil
}
